GNU bug report logs - #8603
23.3.50; vc-dir can easily guess wrong VCS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Reuben Thomas <rrt@HIDDEN>; merged with #3807, #8179, #18514; dated Mon, 2 May 2011 12:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 3807 8179 8603 18514. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 3807 8179 8603. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 8603 <at> debbugs.gnu.org:


Received: (at 8603) by debbugs.gnu.org; 2 May 2011 21:18:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 17:18:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QH0VV-0004zJ-Nz
	for submit <at> debbugs.gnu.org; Mon, 02 May 2011 17:18:17 -0400
Received: from exprod7og125.obsmtp.com ([64.18.2.28])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1QH0VT-0004z2-B7
	for 8603 <at> debbugs.gnu.org; Mon, 02 May 2011 17:18:16 -0400
Received: from mail-bw0-f46.google.com ([209.85.214.46]) (using TLSv1) by
	exprod7ob125.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTb8fkOAIj+tXWfyHWTKWWoeN+uJpp85i@HIDDEN;
	Mon, 02 May 2011 14:18:15 PDT
Received: by mail-bw0-f46.google.com with SMTP id 15so8024980bwz.33
	for <8603 <at> debbugs.gnu.org>; Mon, 02 May 2011 14:18:08 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.204.151.204 with SMTP id d12mr260702bkw.127.1304371087139;
	Mon, 02 May 2011 14:18:07 -0700 (PDT)
Received: by 10.204.144.207 with HTTP; Mon, 2 May 2011 14:18:07 -0700 (PDT)
In-Reply-To: <hwipts3lio.fsf@HIDDEN>
References: <87aaf59u61.fsf@HIDDEN>
	<hwipts3lio.fsf@HIDDEN>
Date: Mon, 2 May 2011 22:18:07 +0100
Message-ID: <BANLkTi=cq3_P02HQXjjDU91euQfTWcWwgw@HIDDEN>
Subject: Re: bug#8603: 23.3.50; vc-dir can easily guess wrong VCS
From: Reuben Thomas <rrt@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 8603
Cc: 8603 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

On 2 May 2011 21:17, Glenn Morris <rgm@HIDDEN> wrote:
>
> This is the documented way it works, for the time being at least.
> This is basically a duplicate of
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8179

Thanks for the pointer. To describe the current behavior as
"documented" is stretching things, though (at least, I had to trawl
through the code to get a handle on what was going on, and I can see
no documentation cited in the thread above or in the docstrings that
describes the current behavior).

In any case, documented or not, it's a bug, and it's a bug in the
stable version of Emacs, not just the development version.

-- 
http://rrt.sc3d.org




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8603; Package emacs. Full text available.

Message received at 8603 <at> debbugs.gnu.org:


Received: (at 8603) by debbugs.gnu.org; 2 May 2011 20:17:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 16:17:28 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QGzYe-0002qO-Gn
	for submit <at> debbugs.gnu.org; Mon, 02 May 2011 16:17:28 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1QGzYc-0002qC-TP
	for 8603 <at> debbugs.gnu.org; Mon, 02 May 2011 16:17:27 -0400
Received: from localhost ([127.0.0.1]:60167)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1QGzYW-00065R-18; Mon, 02 May 2011 16:17:20 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Reuben Thomas <rrt@HIDDEN>
Subject: Re: bug#8603: 23.3.50; vc-dir can easily guess wrong VCS
References: <87aaf59u61.fsf@HIDDEN>
X-Spook: Yukon cracking Hugo Chavez Treasury Rumsfeld Guantanamo
X-Ran: HWQ2'ObGHL@PY2-Ta1cy1sHMCqH%z)y]ho1766GN\Mb'ggk?4"yfCm_S]AT~W~-wMd2WH>
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 02 May 2011 16:17:19 -0400
In-Reply-To: <87aaf59u61.fsf@HIDDEN> (Reuben Thomas's message of "Mon, 02
	May 2011 13:13:58 +0100")
Message-ID: <hwipts3lio.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8603
Cc: 8603 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Reuben Thomas wrote:

> If I run vc-dir on a directory /foo/bar/baz, where /foo/.bzr and
> /foo/bar/.git exist, then Emacs guesses wrongly that /foo/bar/baz is
> under Bzr.

This is the documented way it works, for the time being at least.
This is basically a duplicate of

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8179


> Further, deleting the .bzr directory (which was indeed bogus; it's
> obviously relatively rare to have a tree under one VCS inside a tree
> under another, with the exception of foreign modules, possibly?) did not
> help: I had to restart Emacs to get it to forget the .bzr directory.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8603; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2011 12:14:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 08:14:21 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QGs16-0007Ps-NE
	for submit <at> debbugs.gnu.org; Mon, 02 May 2011 08:14:21 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rrt@HIDDEN>) id 1QGs14-0007Pf-Bf
	for submit <at> debbugs.gnu.org; Mon, 02 May 2011 08:14:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1QGs0x-0002IW-MB
	for submit <at> debbugs.gnu.org; Mon, 02 May 2011 08:14:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:45313)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
	id 1QGs0x-0002IS-KB
	for submit <at> debbugs.gnu.org; Mon, 02 May 2011 08:14:11 -0400
Received: from eggs.gnu.org ([140.186.70.92]:52380)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1QGs0w-0002rK-7H
	for bug-gnu-emacs@HIDDEN; Mon, 02 May 2011 08:14:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rrt@HIDDEN>) id 1QGs0u-0002HX-94
	for bug-gnu-emacs@HIDDEN; Mon, 02 May 2011 08:14:10 -0400
Received: from exprod7og121.obsmtp.com ([64.18.2.20]:51402)
	by eggs.gnu.org with smtp (Exim 4.71) (envelope-from <rrt@HIDDEN>)
	id 1QGs0t-0002Gy-Sx
	for bug-gnu-emacs@HIDDEN; Mon, 02 May 2011 08:14:08 -0400
Received: from mail-ww0-f47.google.com ([74.125.82.47]) (using TLSv1) by
	exprod7ob121.postini.com ([64.18.6.12]) with SMTP
	ID DSNKTb6gDW8SsXKEgdNJPgsA5z/+o9vEwHaH@HIDDEN;
	Mon, 02 May 2011 05:14:07 PDT
Received: by wwk4 with SMTP id 4so5866336wwk.28
	for <bug-gnu-emacs@HIDDEN>; Mon, 02 May 2011 05:14:04 -0700 (PDT)
Received: by 10.216.64.139 with SMTP id c11mr2447547wed.46.1304338444316;
	Mon, 02 May 2011 05:14:04 -0700 (PDT)
Received: from canta (87-194-87-241.bethere.co.uk [87.194.87.241])
	by mx.google.com with ESMTPS id z13sm3346092wbd.63.2011.05.02.05.14.01
	(version=TLSv1/SSLv3 cipher=OTHER);
	Mon, 02 May 2011 05:14:02 -0700 (PDT)
From: Reuben Thomas <rrt@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.3.50; vc-dir can easily guess wrong VCS
Date: Mon, 02 May 2011 13:13:58 +0100
Message-ID: <87aaf59u61.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

If I run vc-dir on a directory /foo/bar/baz, where /foo/.bzr and
/foo/bar/.git exist, then Emacs guesses wrongly that /foo/bar/baz is
under Bzr.

It seems that first, the directory is not registered with a backend
(which may be on purpose, since git does not actually register
directories?), but then secondly that /foo is checked before /foo/bar
when deciding which backend to use.

Further, deleting the .bzr directory (which was indeed bogus; it=E2=80=99s
obviously relatively rare to have a tree under one VCS inside a tree
under another, with the exception of foreign modules, possibly?) did not
help: I had to restart Emacs to get it to forget the .bzr directory.


In GNU Emacs 23.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.4)
 of 2011-04-24 on canta
Windowing system distributor `The X.Org Foundation', version 11.0.11001000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  recentf-mode: t
  show-paren-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  iswitchb-mode: t
  icomplete-mode: t
  global-whitespace-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  nxhtml-menu-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-: M-" <up> <return> M-: <up> <left> <left> C-e <left>=20
<left> / d o c <return> M-: <up> <return> C-x b C-g=20
C-x c f C-x v f C-x v c d C-x v d <up> <return> C-x=20
k <return> <help-echo> <help-echo> <down-mouse-1> <mouse-1>=20
<help-echo> M-x r e p o r t b u - <backspace> <backspace>=20
<backspace> - e m a c v s - <backspace> <backspace>=20
<backspace> s - b u <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
nil [3 times]
Quit
Buffer is read-only: #<buffer vc.el.gz>
vc-deduce-fileset: No fileset is available here
Buffer is read-only: #<buffer vc.el.gz>
Loading add-log...done
Loading make-mode...done
Loading autoconf...done
found match ]] [19 times]

Load-path shadows:
/home/rrt/local/share/emacs/nxhtml/util/rnc-mode hides /usr/share/emacs-sna=
pshot/site-lisp/rnc-mode/rnc-mode
/home/rrt/local/share/emacs/nxhtml/related/php-mode hides /home/rrt/local/s=
hare/emacs/site-lisp/php-mode
/home/rrt/.emacs.d/elpa/dictionary-1.8.7/link hides /usr/local/share/emacs/=
23.3.50/site-lisp/dictionary-el/link
/home/rrt/.emacs.d/elpa/dictionary-1.8.7/connection hides /usr/local/share/=
emacs/23.3.50/site-lisp/dictionary-el/connection
/home/rrt/.emacs.d/elpa/dictionary-1.8.7/dictionary-init hides /usr/local/s=
hare/emacs/23.3.50/site-lisp/dictionary-el/dictionary-init
/home/rrt/.emacs.d/elpa/dictionary-1.8.7/dictionary hides /usr/local/share/=
emacs/23.3.50/site-lisp/dictionary-el/dictionary
/home/rrt/local/share/emacs/site-lisp/graphviz-dot-mode hides /usr/local/sh=
are/emacs/23.3.50/site-lisp/emacs-goodies-el/graphviz-dot-mode
/home/rrt/local/share/emacs/site-lisp/dict hides /usr/local/share/emacs/23.=
3.50/site-lisp/emacs-goodies-el/dict
/usr/local/share/emacs/23.3.50/site-lisp/css-mode/css-mode hides /usr/local=
/share/emacs/23.3.50/lisp/textmodes/css-mode
/usr/share/emacs-snapshot/site-lisp/ruby1.8-elisp/ruby-mode hides /usr/loca=
l/share/emacs/23.3.50/lisp/progmodes/ruby-mode
/usr/local/share/emacs/23.3.50/site-lisp/css-mode/css-mode hides /usr/share=
/emacs/site-lisp/css-mode/css-mode
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-info hides /usr/share/e=
macs/site-lisp/auctex/tex-info
/usr/local/share/emacs/23.3.50/site-lisp/auctex/context-nl hides /usr/share=
/emacs/site-lisp/auctex/context-nl
/usr/local/share/emacs/23.3.50/site-lisp/auctex/context-en hides /usr/share=
/emacs/site-lisp/auctex/context-en
/usr/local/share/emacs/23.3.50/site-lisp/auctex/latex hides /usr/share/emac=
s/site-lisp/auctex/latex
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-mik hides /usr/share/em=
acs/site-lisp/auctex/tex-mik
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-buf hides /usr/share/em=
acs/site-lisp/auctex/tex-buf
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-jp hides /usr/share/ema=
cs/site-lisp/auctex/tex-jp
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-bar hides /usr/share/em=
acs/site-lisp/auctex/tex-bar
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex hides /usr/share/emacs/=
site-lisp/auctex/tex
/usr/local/share/emacs/23.3.50/site-lisp/auctex/multi-prompt hides /usr/sha=
re/emacs/site-lisp/auctex/multi-prompt
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-fptex hides /usr/share/=
emacs/site-lisp/auctex/tex-fptex
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-font hides /usr/share/e=
macs/site-lisp/auctex/tex-font
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-fold hides /usr/share/e=
macs/site-lisp/auctex/tex-fold
/usr/local/share/emacs/23.3.50/site-lisp/auctex/texmathp hides /usr/share/e=
macs/site-lisp/auctex/texmathp
/usr/local/share/emacs/23.3.50/site-lisp/auctex/context hides /usr/share/em=
acs/site-lisp/auctex/context
/usr/local/share/emacs/23.3.50/site-lisp/auctex/font-latex hides /usr/share=
/emacs/site-lisp/auctex/font-latex
/usr/local/share/emacs/23.3.50/site-lisp/auctex/bib-cite hides /usr/share/e=
macs/site-lisp/auctex/bib-cite
/usr/local/share/emacs/23.3.50/site-lisp/auctex/toolbar-x hides /usr/share/=
emacs/site-lisp/auctex/toolbar-x
/usr/local/share/emacs/23.3.50/site-lisp/auctex/tex-style hides /usr/share/=
emacs/site-lisp/auctex/tex-style

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils mailheader canlock hashcash
mail-utils emacsbug autoconf autoconf-mode make-mode add-log vc-sccs
vc-svn vc-cvs vc-rcs vc-dir ewoc vc vc-dispatcher vc-bzr sha1 hex-util
sh-script executable vc-git tex-info texinfo tex face-remap filladapt
flyspell jka-compr completing-help recentf tree-widget wid-edit uniquify
paren savehist minibuf-eldef iswitchb icomplete whitespace autorevert
time as-external wrap-to-fill cus-start cus-load desktop server
nxhtml-autostart nxhtml-autoload majmodpri rnc-mode nxhtml-menu
web-autoload nxhtml-base php-mode etags cc-langs cc-mode cc-fonts
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs speedbar
sb-image ezimage dframe lua-mode regexp-opt comint ring ropemacs pymacs
ffap ispell smart-quotes auto-dictionary-autoloads c-eldoc-autoloads
dictionary-autoloads diff-git-autoloads dired-isearch-autoloads
full-ack-autoloads guess-style-autoloads kill-ring-search-autoloads
magit-autoloads mv-shell-autoloads tumble-autoloads
http-post-simple-autoloads package reporter advice advice-preload
yasnippet help-fns derived edmacro kmacro easymenu assoc cl cl-19
muse-autoloads emacs-goodies-el emacs-goodies-custom
emacs-goodies-loaddefs easy-mmode preview-latex tex-site auto-loads
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
font-setting tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mldrag mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind system-font-setting
font-render-setting gtk x-toolkit x multi-tty emacs)

--=20
http://rrt.sc3d.org/




Acknowledgement sent to Reuben Thomas <rrt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8603; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.